//
// 3D First Person Maze Program by ssjx 2004
// 
// To Enable/Disable filled polygons, uncomment/comment the following: 
// - myline()'s
// - the poly sorting
// - the fill section near the bottom.
// 
// Note that only single planes (walls/floor) are filled correctly at the moment.
//
// Still to come
// - interesting objects!
// - moving objects (rotate etc..)
// - object filling

#include "cybiko.h"
#include <cywin.h>

struct module_t main_module;

/*
Object and Point Structs
*/

struct {
  long x;
  long y;
} pnt[20];

int floorobj[] = { -32, 32, 32, 32, 32, 32, 32, 32, -32, -32, 32, -32 };

int floor[] = { 0, 1, 1, 2, 2, 3, 3, 0 };

int wallobj[] = { 0, -32, 32,
  0, 32, 32,
  0, 32, -32,
  0, -32, -32
};

int wallobj2[] = { 32, -32, 0,
  32, 32, 0,
  -32, 32, 0,
  -32, -32, 0
};

int wall[] = { 0, 1, 1, 2, 2, 3, 3, 0 };


// NOTE - pyramid is not filled in.

int pyrobj[] = { -32, 32, 32,
  32, 32, 32,
  32, 32, -32,
  -32, 32, -32,
  0, 0, 0
};

int pyr[] = { 0, 1, 1, 2, 2, 3, 3, 0, 0, 4, 1, 4, 2, 4, 3, 4 };

//
// 0=Floor (not shown) 1,2 = Wall 3=little pyramid
//

char maze[28][28] = {
  {0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 1, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 1, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2},
  {2, 1, 1, 1, 1, 2, 4, 0, 2, 1, 1, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 1, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 1, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2},
  {0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0},
};

// Main object list
struct {
  long x;
  long z;
  char no;
} object[1000];


// Order depth list. (For polygon ordering) 
struct {
  int no;
  long dist;
} objdepth[300];

struct {
  int no;
  long dist;
} tmpdepth;

struct {
  long x;
  long z;
  long rx;
  long rz;
} player;

///
/// edge struct - used to store the left and right values for poly filling
///

struct edge {
  char act;
  int min;
  int max;
};

struct edge fill[120];

/*
Projection funtions:

tdpoint - Quick 3d>2d Just used to see if the poly is visible.
tdpoint2 -Main 3d>2d function.
rot - 2d point rotation, used for the map.
*/

void tdpoint(long *ox, long *oy, long *oz, long x, long y, long z, int sd, int cd)
{
  long tx, tz;

  tz = ((z * cd)) + ((x * sd)) >> 8;

// the next two numbers set the view depth
  if (tz > 0 & tz < 600)
  {
    tx = ((x * cd)) - ((z * sd)) >> 1;
    *oy = 50;
    *ox = 80 + (tx / tz);
    *oz = tz;
  }
  else
  {
    *ox = -1;
  }

}

void tdpoint2(long *ox, long *oy, long x, long y, long z, int sd, int cd)
{
  long tx, tz;

  tx = ((x * cd)) - ((z * sd)) >> 1;
  tz = ((z * cd)) + ((x * sd)) >> 8;

  *oy = 50 + ((y << 7) / tz);
  *ox = 80 + (tx / tz);
}

void rot(long *rx, long *ry, long x, long y, int sd, int cd)
{
  *rx = ((x * cd) - (y * sd)) >> 8;
  *ry = ((x * sd) + (y * cd)) >> 8;
}

//
// myline fills the edge fill array (?) with left and right co-ordindates.
// so that the actual fill routine just needs to do a hline between the two.
//

void myline(struct edge *lr, int x1, int y1, int x2, int y2)
{
  int i, xx, c;

  if (y2 > y1)
  {
    for (i = 0; i < (y2 - y1); i++)
    {
      c = y1 + i;
      if (c >= 0 && c < 100)
      {
        xx = x1 + (i * (x2 - x1)) / (y2 - y1);
        lr[c].act = 1;
        lr[c].min = imin(lr[c].min, xx);
        lr[c].max = imax(lr[c].max, xx);
      }
    }
  }

  if (y2 < y1)
  {
    for (i = 0; i < (y1 - y2); i++)
    {
      c = y1 - i;
      if (c >= 0 && c < 100)
      {
        xx = x1 - (i * (x2 - x1)) / (y2 - y1);
        lr[c].act = 1;
        lr[c].min = imin(lr[c].min, xx);
        lr[c].max = imax(lr[c].max, xx);
      }
    }
  }

  if (y1 == y2)
  {
    if (y1 >= 0 && y1 < 100)
    {
      lr[y1].min = imin(lr[y1].min, x1);
      lr[y1].min = imin(lr[y1].min, x2);
      lr[y1].max = imax(lr[y1].max, x1);
      lr[y1].max = imax(lr[y1].max, x2);
    }
  }

}


/*
*/

int getkey()
{
  struct DirectKeyboard *ptr_direct_keyboard;
  int mykey = 0;

  ptr_direct_keyboard = DirectKeyboard_get_instance();
  DirectKeyboard_scan(ptr_direct_keyboard);

  if (DirectKeyboard_is_key_pressed(ptr_direct_keyboard, KEY_UP))
  {
    mykey = 1;
  }
  if (DirectKeyboard_is_key_pressed(ptr_direct_keyboard, KEY_DOWN))
  {
    mykey = 2;
  }
  if (DirectKeyboard_is_key_pressed(ptr_direct_keyboard, KEY_RIGHT))
  {
    mykey = 3;
  }
  if (DirectKeyboard_is_key_pressed(ptr_direct_keyboard, KEY_LEFT))
  {
    mykey = 4;
  }
  if (DirectKeyboard_is_key_pressed(ptr_direct_keyboard, KEY_SPACE))
  {
    mykey = -1;
  }

  DirectKeyboard_dtor(ptr_direct_keyboard, FREE_MEMORY);
  return mykey;
}

/*
Main program
*/

int mycos[360];
int mysin[360];

long main(int argc, char *argv[], bool start)
{
  long rx, ry, rz, i, c, x, z, poly_x, poly_z;
  int pl, polymax, wallcol, wallcol2, maxobs, sd, cd, cy, ang = 0;
  char *dis, altcol, ext, mykey;

  init_module(&main_module);

  dis = DisplayGraphics_get_page_ptr(main_module.m_gfx, 0);

// Precalc sin/cos;
  for (i = 0; i < 360; i++)
  {
    mysin[i] = (int)cy3d_sin(i);
    mycos[i] = (int)cy3d_cos(i);
  }

// Player start positions
  player.x = 0;
  player.z = 0;
  player.rx = player.x;
  player.rz = player.z;

// Create object list
  TRACE("Creating object list...");
  c = 0;

// Floor..
/*
for(z=0;z<28;z++)
{
	for(x=0;x<28;x++)
	{
	object[c].no=0;
	object[c].x=(x-7)*64;
	object[c].z=(z-7)*64;
	c++;
	}
}
*/

// ...everything else
  for (z = 0; z < 28; z++)
  {
    for (x = 0; x < 28; x++)
    {
      if (maze[x][z] != 0)
      {
        object[c].no = maze[x][z];
        object[c].x = (x - 7) * 64;
        object[c].z = (z - 7) * 64;
        c++;
      }
    }
  }

  maxobs = c;
  TRACE("%d objects", maxobs);

//
// Clear fill array
//

  for (i = 0; i < 110; i++)
  {
    fill[i].act = 0;
    fill[i].max = 0;
    fill[i].min = 9999;
  }

//
//
//
  sd = mysin[ang];
  cd = mycos[ang];

//Main loop
  TRACE("Starting..");
  while ((mykey = getkey()) != -1)
  {
//
// Quick sky and ground
//
    memset(dis, 0, 2000);
    memset((dis + 2000), 85, 2000);

//
// Find out what objects we can see and add them to the list.
//

    c = 0;
    for (cy = 0; cy < maxobs; cy++)
    {
      poly_z = object[cy].z - player.z;
      poly_x = object[cy].x - player.x;

      tdpoint(&rx, &ry, &rz, poly_x, 0, poly_z, sd, cd);

      if (rx > 0 && rx < 160)
      {
        objdepth[c].no = cy;
        objdepth[c].dist = rz;
        c++;
      }

    }

    polymax = c;
//TRACE("polymax: %d",polymax);




//
// Sort polygons (this could do with being replaced with something better...)
//
/*
do{
ext=0;
for(i=1;i<polymax;i++)
{
	if (objdepth[i].dist>objdepth[i-1].dist)
	{
	tmpdepth.dist=objdepth[i-1].dist;
	tmpdepth.no=objdepth[i-1].no;
	
	objdepth[i-1].dist=objdepth[i].dist;
	objdepth[i-1].no=objdepth[i].no;
	
	objdepth[i].dist=tmpdepth.dist;
	objdepth[i].no=tmpdepth.no;
	ext=1;
	}
}

}while(ext==1);
*/

//
// Show sorted polygons
//

    for (pl = 0; pl < polymax; pl++)
    {
      cy = objdepth[pl].no;
      poly_z = object[cy].z - player.z;
      poly_x = object[cy].x - player.x;

      TGraph_set_color(main_module.m_gfx, CLR_BLACK);

// -- Start of objects

      switch (object[cy].no)
      {
        case 0:
          //Create points list 3d->2d (4 points)
          c = 0;
          for (i = 0; i < 4; i++)
          {
            rx = floorobj[c++] + poly_x;
            ry = floorobj[c++];
            rz = floorobj[c++] + poly_z;

            tdpoint2(&pnt[i].x, &pnt[i].y, rx, ry, rz, sd, cd);
          }

        // Draw 3d lines (4 lines)
          c = 0;
          for (i = 0; i < 4; i++)
          {
//  myline(fill,pnt[floor[c]].x,pnt[floor[c]].y,pnt[floor[c+1]].x,pnt[floor[c+1]].y);
            TGraph_draw_line(main_module.m_gfx, pnt[floor[c]].x, pnt[floor[c]].y, pnt[floor[c + 1]].x, pnt[floor[c + 1]].y);
            c += 2;
          }


          break;

        case 1:
          //Create points list 3d->2d (4 points)
          c = 0;
          for (i = 0; i < 4; i++)
          {
            rx = wallobj[c++] + poly_x;
            ry = wallobj[c++];
            rz = wallobj[c++] + poly_z;

            tdpoint2(&pnt[i].x, &pnt[i].y, rx, ry, rz, sd, cd);
          }

        // Draw 3d lines (4 lines)
          c = 0;
          for (i = 0; i < 4; i++)
          {
//  myline(fill,pnt[wall[c]].x,pnt[wall[c]].y,pnt[wall[c+1]].x,pnt[wall[c+1]].y); 
            TGraph_draw_line(main_module.m_gfx, pnt[wall[c]].x, pnt[wall[c]].y, pnt[wall[c + 1]].x, pnt[wall[c + 1]].y);
            c += 2;
          }
          break;

        case 2:
          //Create points list 3d->2d 
          c = 0;
          for (i = 0; i < 4; i++)
          {
            rx = wallobj2[c++] + poly_x;
            ry = wallobj2[c++];
            rz = wallobj2[c++] + poly_z;

            tdpoint2(&pnt[i].x, &pnt[i].y, rx, ry, rz, sd, cd);
          }

        // Draw 3d lines 
          c = 0;
          for (i = 0; i < 4; i++)
          {
//  myline(fill,pnt[wall[c]].x,pnt[wall[c]].y,pnt[wall[c+1]].x,pnt[wall[c+1]].y); 
            TGraph_draw_line(main_module.m_gfx, pnt[wall[c]].x, pnt[wall[c]].y, pnt[wall[c + 1]].x, pnt[wall[c + 1]].y);
            c += 2;
          }
          break;

        case 3:
          //Create points list 3d->2d 
          c = 0;
          for (i = 0; i < 5; i++)
          {
            rx = pyrobj[c++] + poly_x;
            ry = pyrobj[c++];
            rz = pyrobj[c++] + poly_z;

            tdpoint2(&pnt[i].x, &pnt[i].y, rx, ry, rz, sd, cd);
          }

        // Draw 3d lines 
          c = 0;
          for (i = 0; i < 8; i++)
          {
            TGraph_draw_line(main_module.m_gfx, pnt[pyr[c]].x, pnt[pyr[c]].y, pnt[pyr[c + 1]].x, pnt[pyr[c + 1]].y);
            c += 2;
          }
          break;
      }

// end of object select, now fill..
// In order to give the impression of more colours, alternating coloured
// lines are used, this gives 5 shades.
// uncomment this section to fill the polygons 
/*
if (objdepth[pl].dist>400){wallcol=CLR_BLACK;wallcol2=CLR_BLACK;}
if (objdepth[pl].dist<400){wallcol2=CLR_DKGRAY;wallcol=CLR_BLACK;}
if (objdepth[pl].dist<300){wallcol2=CLR_DKGRAY;wallcol=CLR_DKGRAY;}
if (objdepth[pl].dist<200){wallcol=CLR_LTGRAY;wallcol2=CLR_DKGRAY;}
if (objdepth[pl].dist<100){wallcol=CLR_LTGRAY;wallcol2=CLR_LTGRAY;}

altcol=1;
for(i=0;i<100;i++)
{

	if (fill[i].act==1)
	{

	if (altcol==1)
	{
	TGraph_set_color( main_module.m_gfx, wallcol );
	}
	else
	{
	TGraph_set_color( main_module.m_gfx, wallcol2 );
	}

	if (fill[i].max>160){fill[i].max=160;}
	if (fill[i].min<0){fill[i].min=0;}

	TGraph_draw_hline( main_module.m_gfx,fill[i].min,i,fill[i].max);

	fill[i].act=0;
	fill[i].max=0;
	fill[i].min=9999;
	altcol=1-altcol;
	}
}
*/
//
// End of poly filling.
//


    }



/*
Controls
*/

    switch (mykey)
    {
      case 1:
        player.rx += (sd << 3);
        player.rz += (cd << 3);

        player.x = player.rx >> 8;
        player.z = player.rz >> 8;

//TRACE("rx:%d ry:%d x:%d y:%d cd:%d sd:%d",player.rx,player.rz,player.x,player.z,sd,cd);
//TRACE("pmx:%d",polymax);
        break;

      case 2:
        player.rx -= (sd << 3);
        player.rz -= (cd << 3);

        player.x = player.rx >> 8;
        player.z = player.rz >> 8;

//TRACE("rx:%d ry:%d x:%d y:%d cd:%d sd:%d",player.rx,player.rz,player.x,player.z,sd,cd);
//TRACE("pmx:%d",polymax);
        break;

      case 3:
        ang += 10;
        if (ang > 359)
        {
          ang -= 360;
        }
        sd = mysin[ang];
        cd = mycos[ang];
//TRACE("rx:%d ry:%d x:%d y:%d cd:%d sd:%d",player.rx,player.rz,player.x,player.z,sd,cd);
//TRACE("pmx:%d",polymax);
        break;

      case 4:
        ang -= 10;
        if (ang < 0)
        {
          ang += 360;
        }
        sd = mysin[ang];
        cd = mycos[ang];
//TRACE("rx:%d ry:%d x:%d y:%d cd:%d sd:%d",player.rx,player.rz,player.x,player.z,sd,cd);
//TRACE("pmx:%d",polymax);
        break;
    }


// Draw crosshairs.
    TGraph_set_color(main_module.m_gfx, CLR_BLACK);
    TGraph_draw_line(main_module.m_gfx, 75, 50, 85, 50);
    TGraph_draw_line(main_module.m_gfx, 80, 45, 80, 55);
    TGraph_set_color(main_module.m_gfx, CLR_LTGRAY);
    TGraph_draw_line(main_module.m_gfx, 75, 45, 85, 55);
    TGraph_draw_line(main_module.m_gfx, 75, 55, 85, 45);

// Draw map (fairly slow..)

    for (cy = 0; cy < maxobs; cy++)
    {
      poly_z = object[cy].z - player.z;
      poly_x = object[cy].x - player.x;
      rot(&rx, &ry, poly_x >> 6, poly_z >> 6, sd, cd);
      TGraph_set_pixel(main_module.m_gfx, 140 + rx, 20 - ry, CLR_DKGRAY);
    }
    TGraph_set_pixel(main_module.m_gfx, 140, 20, CLR_BLACK);

//


    DisplayGraphics_show(main_module.m_gfx);

  }

  TRACE("Exiting..");
  return 0l;
}
