////////////////////////////////////////////////////////////////////////////////
// MAIN.C - Buldging 3D grid demo
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "Grid3D"; // Program name (Ribbon name)
int AppStackSize = 3000; // was 3000

int x, y, xnew, ynew, xold, yold; // Globals
int xlow = -5;
int xhigh = 5;
int ylow = -5;
int yhigh = 5;
int depth = 5;
int xscale = 8;
int yscale = 4;
int c = 0;  // Starting (flat)
int d = 32; // Step (lower=smoother&slower)
LcdConfig LCD;

void drawgrid(void)
{
  xnew = LCD.width/2 + xscale * (x+y);
  ynew = LCD.height/2 + yscale * (y-x) + c/(x*x+y*y+depth);
  LcdDrawLine(DRAW_BLACK, xold, yold, xnew, ynew);
  xold = xnew;
  yold = ynew;
}

void PrgThread(void)
{
  MESSAGE msg;
  int e;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  LcdGetConfig(&LCD); // Get LCD configuration
  e = LCD.height*3; // was 2.5
  RimRequestForeground(RimGetCurrentTaskID());

  for(;;)  // Start message loop
  {
    while(RimPeekMessage() == FALSE)
    {
      LcdClearDisplay();
      for(x=xlow; x<xhigh+1; x++)
      {
        xold = LCD.width/2 + xscale * (x+ylow);
        yold = LCD.height/2 + yscale * (ylow-x) + c/(x*x+ylow*ylow+depth);
        for (y=ylow; y<yhigh+1; y++)
          drawgrid();
      }
      for (y=ylow; y<yhigh+1; y++)
      {
        xold = LCD.width/2 + xscale * (xlow+y);
        yold = LCD.height/2 + yscale * (y-xlow) + c/(xlow*xlow+y*y+depth);
        for (x=xlow; x<xhigh+1; x++)
          drawgrid();
      }
      c += d;
      if (c > e) d = -10; //-10 Step value
      if (c < -e) d = 10; // 10 Step value
      RimTaskYield();
    }
    RimGetMessage(&msg);
    if (msg.Device == DEVICE_KEYPAD && msg.Event == KEY_DOWN)
    {
      if (msg.SubMsg == KEY_ESCAPE)
      {
        RibbonShowRibbon();
        RimTerminateThread();
      }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, PrgThread, AppStackSize);
}
