////////////////////////////////////////////////////////////////////////////////
// Assembly Language Pseudo-Random 32 bit number generator             by Athlor
////////////////////////////////////////////////////////////////////////////////
#include "Pager.h"

char VersionPtr[] = "AsmRnd1";
int AppStackSize = 1000;
long rng  = 9; // Seed Value 
long rngh = 1; // hi bit flag for 32bit rng

void puts(char *s)
{
  LcdConfig LcdCfg;
  LcdGetConfig (&LcdCfg);
  LcdScroll(8);
  LcdPutStringXY(0,LcdCfg.height-8,s,-1,0);
}

long rnd(void) 
{ 
__asm{
    mov edx,rngh
    shr edx,1
    mov ecx,rng
    mov eax,ecx
    rcr eax,1
    rcl edx,1
    mov rngh,edx
    shl ecx,12
    xor eax,ecx
    mov ecx,eax
    shr ecx,20
    xor eax,ecx
    mov rng,eax
    } 
} 

void PagerMain(void)
{
  int a;
  char x=0;
  char s[64];
  MESSAGE msg;

  for(a=0; a<999; a++)
  {
    RimSprintf(s,63,"Rnd value %d: %d\n",a,rnd());
    puts(s);
    RimSleep(1);
  }

  do{
    RimGetMessage(&msg); // Get Message
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case KEY_DOWN:
            if(msg.SubMsg==' ') x=1;
            else puts("Press [space] to exit...");
        }
    }
  }while(x==0);
}
