////////////////////////////////////////////////////////////////////////////////
// MAIN.C - A minimal Ultima-like RPG game engine
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"
#include "tiles.h"
#include "map.h"

char VersionPtr[] = "BBrpg"; // Program name (Ribbon name)
int AppStackSize = 3000;

char x=21, y=6, d=25; // Char starting pos & char gfx

void BBrpgThread(void)
{
  char a=0,b=0, buf[64];
  int h, v;
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);

  for (;;) // Start message loop
  {
    for(v=0;v<10;v++)
      for(h=0;h<10;h++)
        LcdRasterOp(COPY_SRC,16,16,&TilesBMP,m[v+y-4][h+x-4]%8*16,
                              m[v+y-4][h+x-4]/8*16,NULL,h*16,v*16); // Draw tile
    LcdRasterOp(COPY_SRC,16,16,&TilesBMP,d%8*16,d/8*16,NULL,64,64); // Draw char

    RimSprintf(buf,63,"x:%d y:%d  a:%d b:%d  m[b][a]:%d",x,y,a,b,m[b][a]);
    LcdPutStringXY(0,152,buf,-1,0);

    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case KEY_DOWN: case KEY_REPEAT:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
              case 'q': a=x;b=y-1;d=25;break; // NORTH
              case 'z': a=x;b=y+1;d=27;break; // SOUTH
              case 'a': a=x-1;b=y;d=24;break; // WEST
              case 's': a=x+1;b=y;d=26;break; // EAST
            }
          }
          if(m[b][a]<4) {x=a;y=b;} // Walkable space
          if(m[b][a]==11) m[b][a+1]=m[b][a+1]?0:10; // Open-close gate
      } // End keypad
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, BBrpgThread, AppStackSize);
}
