////////////////////////////////////////////////////////////////////////////////
// MAIN.C - Blackjack (minimalized version)
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "BJ"; // Program name (Ribbon name)
int AppStackSize = 1000;
int seed;

int rand(int Value)
{
  seed *= 20077;
  seed += 12345;
 return ((((seed>>16)&32767)*Value)>>15);
}

void BJThread(void)
{
  int total=0,bank=100;
  char buf[64],c;
  const char card[]="A 1 2 3 4 5 6 7 8 9 10J Q K ";
  char cih[64]; // Cards in hand
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  seed = RimGetTicks(); // Seed Rnd function
  LcdCopyBitmapToDisplay(&IconBMP,0,0); // Show icon bmp
  LcdPutStringXY(30,4,"BB Blackjack",-1,0);

  for (;;) // Start message loop
  {
    RimSprintf(buf,63,"Bank: %d\nTotal: %d\n\n[H]it  [S]tand",bank,total);
    LcdPutStringXY(0,32,buf,-1,LCD_MULTILINE);
    RimGetMessage(&msg);

    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case KEY_DOWN:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
              case 'h': // Hit
                c=rand(12)+1;
                if(c>10) c=10; // Jack, Queen, King
                total+=c;
                break;
              case 's': // Stand
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, BJThread, AppStackSize);
}
