////////////////////////////////////////////////////////////////////////////////
// MAIN.C - Balloon: Simple balloon lander, derived from old ZX-80 game
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "Balloon";
int AppStackSize = 1000;

void BalloonThread(void)
{
  int d=1500,m=10,f=300,a=0,h=0;
  char b[64];
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  RimRequestForeground(RimGetCurrentTaskID());

  for (;;) // Start message loop
  {
    while(RimPeekMessage()==FALSE)
    {
      LcdClearDisplay();
      LcdDrawLine(DRAW_BLACK,0,140,160,140);         // Draw ground
      LcdDrawLine(DRAW_BLACK,0,139,14,139);          // Draw landing pad
      LcdCopyBitmapToDisplay(&IconBMP,d/11,123-2*a); // Draw balloon
      RimSprintf(b,63," Mass: %d\n Heat: %d\n Fuel: %d\n Alt: %d\n Dist: %d",m,h,f,a,d);
      LcdPutStringXY(0,1,b,-1,LCD_MULTILINE);
      LcdDrawBox(DRAW_BLACK,0,0,48,42); // Draw frame
      if(a==0&&d<1500)                  // Test for landing
      {
        if(d>-10&&d<30) RimSprintf(b,63,"Safe Landing!"); // Larger pad than ZX80!
        else RimSprintf(b,63,"CRASH Landing!");
        LcdPutStringXY(46,80,b,-1,0);
        RimAlertNotify(3,1);
        RimSleep(1000);
        RibbonShowRibbon();
        RimTerminateThread();
      }
      f-=h;
      if(f<0) f=0;
      if(f==0&&h>0) h--; // Fuel gone lower heat
      a=a+20*h/(10+h)-5-m/5;
      if(a<0) a=0;
      d=d-a;
      RimTaskYield();
      RimSleep(100);
    }

    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case THUMB_ROLL_UP:   // HEAT UP
            if(h<10) h++;
            break;
          case THUMB_ROLL_DOWN: // HEAT DOWN
            if(h>0) h--;
            break;
          case KEY_DOWN:
          {
            switch (msg.SubMsg)
            {
              case 'm':         // Drop weight (decrease mass)
                if(m>0) m--;
                break;
              case KEY_ESCAPE:  // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, BalloonThread, AppStackSize);
}
