////////////////////////////////////////////////////////////////////////////////
// MAIN.C - Minimalized Aquarium simulation
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"
#include "gfx.h"

char VersionPtr[] = "Aquarium"; // Program name (Ribbon name)
int AppStackSize = 3000;

int seed;

int rnd(int Value)
{
  seed *= 20077;
  seed += 12345;
 return ((((seed>>16)&32767)*Value)>>15);
}

void AquariumThread(void)
{
  char fishdx[9],a;
  short fishx[9],fishy[9],bubx[29],buby[29];
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  seed = RimGetTicks(); // Seed Rnd function
  RimRequestForeground(RimGetCurrentTaskID());
  for(a=0; a<9; a++)
  {
    fishx[a]=rnd(130);           // Fish x pos
    fishy[a]=rnd(130);           // Fish y pos
    fishdx[a]=(rnd(2) ? 1 : -1); // Fish x direction
  }
  for(a=0; a<29; a++)
  {
    bubx[a]=rnd(156); // Bubble x pos
    buby[a]=rnd(156); // Bubble y pos
  }
  for (;;) // Start message loop
  {
    while(RimPeekMessage()==FALSE)
    {
      LcdClearDisplay();
      for(a=0; a<29; a++) // Draw bubbles
      {
        if(buby[a]-2>0) buby[a]-=2;
          else{buby[a]=157;bubx[a]=rnd(156);}
        LcdDrawBox(DRAW_BLACK,bubx[a],buby[a],bubx[a]+2,buby[a]+2);
      }
      for(a=0; a<11; a++) // Draw seaweed 
        LcdCopyBitmapToDisplay(&seaweedBMP,a<<4,144);
      for(a=0; a<9; a++)  // Draw fish
      {
        if((fishx[a]+fishdx[a]) > 130) fishdx[a] = -1;
        if((fishx[a]+fishdx[a]) < 1)   fishdx[a] = 1;
        fishx[a] += fishdx[a];
        LcdRasterOp(SRC_OR_DEST,27,22,
          (fishdx[a]==1)?(rnd(4)?&fish1BMP:&fish2BMP):(rnd(4)?&fish3BMP:&fish4BMP),
                                                       0,0,NULL,fishx[a],fishy[a]);
      }
      RimTaskYield();
      RimSleep(5);
    }

    RimGetMessage(&msg);
    if(msg.Device==DEVICE_KEYPAD&&msg.Event==KEY_DOWN)
    {
      if(msg.SubMsg==KEY_ESCAPE) // ESC quits
      {
        RibbonShowRibbon();
        RimTerminateThread();
      }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, AquariumThread, AppStackSize);
}
