////////////////////////////////////////////////////////////////////////////////
// MAIN.C - 4-level grayscale demo
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "Grayscale";
int AppStackSize = 1000;

const BYTE bitmapf1_DATA[] = {
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0x7F, 0xF7, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xBF, 0x77, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0xDF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xBF, 0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0xDF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0x6A, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0x7F, 0xDD, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0xFA, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBA, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0x3F, 0xFC, 0xFF, 0xFF, 0xFF, 0x55, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5F, 0xB7, 0xFB, 0xFF, 0xFF, 0xFF, 0xFD, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEA, 0xEE, 0xFD, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFF, 0xD7, 0x7D, 0xFF, 0xFF, 0xFF, 0xFD, 0x0F,
0xFF, 0xFF, 0xFF, 0xF3, 0xFF, 0xFF, 0xAF, 0xFA, 0xF7, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0x7F, 0xD5, 0xFE, 0xFF, 0xFF, 0xFD, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBA, 0xFF, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5D, 0xEF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0xFA, 0xFF, 0xFF, 0xFA, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xF7, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEB, 0xFF, 0xFF, 0xFB, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0F,
0xFF, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0F,
0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0D,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0x61, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0D,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x76, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB, 0xFF, 0xFF, 0xDF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0xFE, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0xFF, 0xFF, 0xDF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCD, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xAB, 0xFE, 0xFF, 0xDF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xFF, 0xAB, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xFE, 0xFF, 0xAF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0xFF, 0xFD, 0xFB, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xFF, 0xEF, 0xFF, 0xFF, 0xBF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEE, 0xFF, 0xEF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xFF, 0xD7, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xDF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xFF, 0xEF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0D,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0D,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEB, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE9, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xFF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCD, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE5, 0xFF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCC, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEB, 0xFF, 0xFF, 0x0E,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F
};

const BitMap F1 = {
 1,160,100, (BYTE *)bitmapf1_DATA
};

const BYTE bitmapf2_DATA[] = {
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0x6E, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x37, 0x9E, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1D, 0x1F, 0x10, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0x4E, 0x02, 0x20, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xFF, 0xFF, 0xFF, 0xDF, 0x1F, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xF6, 0xFF, 0x5F, 0xFD, 0xB7, 0x08, 0x20, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0x33, 0xC2, 0x9B, 0xBF, 0xA8, 0x9F, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0x33, 0x41, 0xE8, 0xFF, 0x17, 0x1F, 0x02, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0x19, 0x41, 0xFC, 0xFF, 0xFF, 0x5D, 0x20, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0x99, 0xA0, 0x9F, 0xFE, 0xFF, 0x9F, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0x8C, 0xE0, 0x5F, 0xE8, 0xFF, 0x5F, 0x00, 0x00, 0x00,
0xFF, 0xF9, 0xFF, 0xFF, 0x7F, 0xFE, 0xFD, 0xE7, 0xFE, 0xFF, 0x2E, 0x00, 0x00,
0xFB, 0xEF, 0xBD, 0xFF, 0xDE, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x3B, 0x00, 0x00,
0xCF, 0x3F, 0xE7, 0xFF, 0x77, 0xCE, 0xFF, 0xE7, 0x9D, 0x7F, 0x2E, 0x00, 0x00,
0x7F, 0xF8, 0xF0, 0x3F, 0x23, 0xF2, 0x5D, 0x45, 0x5E, 0x28, 0x00, 0x00, 0x00,
0xFF, 0xC3, 0x07, 0x3F, 0x23, 0xFE, 0xAB, 0x46, 0xE4, 0x65, 0x02, 0x00, 0x00,
0xFF, 0x1F, 0x3E, 0x9C, 0x11, 0xE4, 0xDD, 0x49, 0x44, 0x7E, 0x01, 0x00, 0x00,
0xFF, 0xFF, 0xF0, 0x9F, 0x11, 0x82, 0x9E, 0x88, 0x44, 0x64, 0x02, 0x40, 0x02,
0xFF, 0xFF, 0x87, 0xCF, 0x08, 0x42, 0xF0, 0x89, 0x48, 0x74, 0x00, 0x80, 0x00,
0xFF, 0xFF, 0x3F, 0xDC, 0x08, 0x41, 0x34, 0x9F, 0x88, 0xAC, 0x08, 0x00, 0x02,
0xFF, 0xFF, 0xFF, 0x79, 0x08, 0x41, 0x90, 0xF6, 0x89, 0xF8, 0x00, 0x80, 0x02,
0xFF, 0xFF, 0xFF, 0x9F, 0x87, 0x20, 0x48, 0xEC, 0xBF, 0x78, 0x02, 0x00, 0x00,
0xFE, 0xFF, 0xFF, 0x3F, 0x9D, 0x20, 0x08, 0xCB, 0xFE, 0x39, 0x02, 0x00, 0x01,
0xFF, 0xFF, 0xFF, 0x2F, 0xE9, 0x20, 0x44, 0x82, 0xD4, 0xFF, 0x00, 0x10, 0x02,
0x03, 0xE0, 0xFF, 0x77, 0x92, 0x11, 0x04, 0x65, 0xB9, 0x7F, 0x00, 0x10, 0x01,
0x1F, 0xFC, 0xFF, 0x5B, 0x92, 0x16, 0x04, 0x41, 0xD4, 0xDF, 0x00, 0x00, 0x01,
0xF8, 0xFF, 0xFF, 0x8D, 0x24, 0x19, 0x02, 0x51, 0x49, 0x77, 0x00, 0x80, 0x00,
0xC7, 0xFF, 0xFF, 0xF6, 0x24, 0xE9, 0x82, 0x20, 0x98, 0x7E, 0x02, 0x10, 0x01,
0x3F, 0xFE, 0x7F, 0xE3, 0x49, 0x92, 0x83, 0x20, 0x28, 0x17, 0x00, 0x00, 0x00,
0xFF, 0xF1, 0xBF, 0xC1, 0x49, 0x92, 0x8E, 0x10, 0x05, 0xBD, 0x08, 0x10, 0x02,
0xFF, 0x8F, 0xDF, 0xF8, 0x93, 0x24, 0x79, 0x10, 0x24, 0xD9, 0x00, 0x00, 0x00,
0xFF, 0x7F, 0xEC, 0xF3, 0x9F, 0x24, 0xD1, 0x10, 0x84, 0x74, 0x02, 0x00, 0x01,
0xFF, 0xFF, 0xE1, 0xFF, 0x3F, 0x49, 0x5A, 0x09, 0xC4, 0x7A, 0x20, 0x80, 0x00,
0xFF, 0xFF, 0x9B, 0xFE, 0xFF, 0x49, 0xA2, 0x0F, 0x82, 0xD8, 0x00, 0x00, 0x03,
0xFF, 0xFF, 0xFD, 0xF1, 0xFF, 0x93, 0x24, 0x3F, 0x42, 0x78, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFE, 0x8F, 0xFF, 0x9F, 0x44, 0xF6, 0x43, 0xBE, 0x00, 0x80, 0x03,
0xFF, 0x7F, 0xC3, 0x7F, 0xFE, 0x3F, 0x49, 0xED, 0xFF, 0x3F, 0x02, 0x00, 0x00,
0xFF, 0x3F, 0xFD, 0xFF, 0xF1, 0x7F, 0x89, 0xE8, 0xFD, 0x7D, 0x00, 0x00, 0x03,
0xFF, 0x9F, 0xF8, 0xFF, 0x8F, 0xFF, 0x92, 0xDE, 0xDA, 0x37, 0x01, 0x80, 0x04,
0xFF, 0xCF, 0xFF, 0xFF, 0x7F, 0xFC, 0x13, 0x91, 0x7F, 0x7B, 0x02, 0x00, 0x02,
0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xE3, 0x27, 0x51, 0xFB, 0x3B, 0x01, 0x00, 0x05,
0xFF, 0xFB, 0xFF, 0xFF, 0xFF, 0x1F, 0x27, 0x72, 0xAF, 0x65, 0x02, 0x00, 0x02,
0xFF, 0x8D, 0xFF, 0xFF, 0xFF, 0xFF, 0x48, 0x22, 0xD2, 0x76, 0x00, 0x00, 0x05,
0xFF, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xCF, 0xC4, 0x54, 0x6D, 0x00, 0x00, 0x0A,
0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0x44, 0xF4, 0x2C, 0x20, 0x00, 0x0A,
0xFF, 0xF1, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0x88, 0x8A, 0x6A, 0x12, 0x00, 0x06,
0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0x37, 0xCB, 0xD8, 0x74, 0x22, 0x00, 0x04,
0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0x37, 0x11, 0x0B, 0xFF, 0x40, 0x00, 0x08,
0xFF, 0xF7, 0xFF, 0xBF, 0xFF, 0xFF, 0x7B, 0x12, 0x39, 0x73, 0x20, 0x00, 0x04,
0xFF, 0xEF, 0xFF, 0x7F, 0x00, 0xFE, 0x6B, 0x62, 0x11, 0xF1, 0x50, 0x00, 0x08,
0xFF, 0xFF, 0xFF, 0xFF, 0xC3, 0xFF, 0x45, 0x22, 0x9A, 0x1F, 0x20, 0x00, 0x04,
0xFF, 0xFF, 0xFF, 0x7F, 0xFC, 0xFF, 0xE5, 0x24, 0x36, 0x47, 0x52, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xBF, 0xE3, 0xFF, 0xC2, 0xC4, 0xE2, 0x03, 0xA0, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x87, 0x82, 0x44, 0xFC, 0x27, 0xA8, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x78, 0xE1, 0x44, 0xFC, 0x0F, 0x60, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x47, 0xFF, 0x49, 0xFE, 0x1F, 0x42, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xFE, 0x89, 0xFE, 0x5F, 0x80, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xF1, 0x89, 0xFE, 0xBF, 0x40, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0x8F, 0x89, 0xFE, 0x7F, 0x80, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5F, 0x7F, 0x89, 0xFE, 0xEF, 0x40, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0xFE, 0x89, 0xFC, 0x43, 0x82, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0xFE, 0x89, 0x7C, 0x75, 0x80, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x17, 0xFF, 0x89, 0x98, 0xFE, 0x81, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x97, 0xFF, 0x88, 0xE8, 0x7F, 0x02, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0B, 0xFC, 0x84, 0xC8, 0xFD, 0x01, 0x01, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0B, 0xFF, 0x44, 0x88, 0xDE, 0x02, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE5, 0x7F, 0x45, 0x44, 0xFD, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0x7F, 0x42, 0x44, 0x76, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0x22, 0x44, 0xDC, 0x01, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x21, 0xA2, 0xFE, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x11, 0x22, 0x6A, 0x02, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0x0F, 0x51, 0xFD, 0x00, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x9F, 0x94, 0x77, 0x00, 0x00, 0x02,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xD8, 0xDD, 0x00, 0x00, 0x05,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xEF, 0x3F, 0x00, 0x00, 0x05,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xDF, 0xFF, 0x7F, 0x02, 0x00, 0x03,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xFF, 0xFF, 0xD7, 0x3A, 0x00, 0x00, 0x02,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0xDB, 0xA7, 0x00, 0x10, 0x04,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0x00, 0x00, 0x02,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xF7, 0x1B, 0x02, 0x10, 0x04,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0xBB, 0x4F, 0x00, 0x10, 0x02,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7, 0xF5, 0x9A, 0x00, 0x00, 0x04,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 0xDF, 0x45, 0x08, 0x00, 0x04,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xFB, 0x8A, 0x08, 0x10, 0x04,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xF5, 0x38, 0x02, 0x08, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xBB, 0x61, 0x00, 0x08, 0x08,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xF9, 0x30, 0x09, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xD9, 0x69, 0x00, 0x08, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5, 0xFB, 0x08, 0x08, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x79, 0x36, 0x00, 0x10, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBE, 0x5D, 0x64, 0x08, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xAD, 0x28, 0x0A, 0x08, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0C, 0xF8, 0xF9, 0x64, 0x0A, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0xBB, 0x71, 0x08, 0x00, 0x18, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xDF, 0xBF, 0x7F, 0x3A, 0x11, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xD7, 0xF8, 0xF3, 0xA6, 0x02, 0x18, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x75, 0xFF, 0xFB, 0x6A, 0x01, 0x10, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x4F, 0x65, 0xFE, 0x7B, 0x9C, 0x10, 0x18, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0x6C, 0xFE, 0x33, 0x18, 0x00, 0x20, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0x7F, 0xFF, 0x93, 0x4E, 0x00, 0x10, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0xBE, 0xFF, 0x8F, 0x1A, 0x04, 0x28, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0xF0, 0xFF, 0x8F, 0xA7, 0x04, 0x10, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0xFF, 0xDF, 0xF7, 0x8F, 0x00, 0x28, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xF9, 0xFF, 0xDB, 0x1B, 0x02, 0x50, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xED, 0xFF, 0xAF, 0x4F, 0x04, 0x50, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x0D, 0xF6, 0xCF, 0x9A, 0x00, 0x30, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xC0, 0xBF, 0xDB, 0x45, 0x04, 0x20, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0xED, 0xCD, 0x8A, 0x20, 0x40, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xFD, 0xCF, 0x38, 0x04, 0x24, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFE, 0x8F, 0x65, 0x14, 0x40, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0x7C, 0xC7, 0x32, 0x0C, 0x28, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0xEE, 0xDF, 0x7B, 0x30, 0x40, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xEF, 0xFF, 0x3A, 0x00, 0x44, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xE1, 0x57, 0x36, 0x38, 0x48, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xE0, 0x67, 0x7D, 0x00, 0x04, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xF0, 0xCD, 0x3A, 0x30, 0x8A, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xF6, 0xCF, 0x7C, 0x48, 0x04, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0xF7, 0x4F, 0x19, 0x20, 0x0A, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0xB9, 0x4F, 0x3A, 0x52, 0x84, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x61, 0xAB, 0xC8, 0xBF, 0x22, 0x0E, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0xF7, 0x80, 0x7A, 0x50, 0x14, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0xF6, 0x0D, 0xFC, 0xA0, 0x0E, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xC0, 0xFF, 0x69, 0xB8, 0x90, 0x1C, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xF1, 0x55, 0x8D, 0xBC, 0x51, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x0C, 0xF0, 0x57, 0xEF, 0xCA, 0x30, 0x00, 0x00,
0xFF, 0xFF, 0xFF, 0x7F, 0xFC, 0x0C, 0x78, 0xB3, 0x27, 0xEE, 0xC1, 0x40, 0x00,
0xFF, 0xFF, 0xFF, 0x7F, 0xFC, 0x44, 0xF3, 0x35, 0x88, 0xEB, 0x00, 0x90, 0x00,
0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0xDF, 0x62, 0x5C, 0xD9, 0xE0, 0x60, 0x00,
0xFF, 0xFF, 0xFF, 0x8F, 0x33, 0x62, 0xFF, 0x85, 0x9F, 0xF5, 0x01, 0x10, 0x01,
0xFF, 0xFF, 0xFF, 0xE3, 0xA2, 0xE0, 0x7E, 0x89, 0x37, 0xEB, 0xC0, 0x68, 0x00,
0xFF, 0xFF, 0xFF, 0x7D, 0xA2, 0x8F, 0xBE, 0xC0, 0x3F, 0xF3, 0x21, 0x91, 0x00,
0xFF, 0xFF, 0xFF, 0xFC, 0xC7, 0x00, 0x36, 0xC0, 0x3F, 0x65, 0x80, 0x48, 0x00,
0xFF, 0xFF, 0xFF, 0xFE, 0xC7, 0xFC, 0x1F, 0xE0, 0x3E, 0xE9, 0x48, 0x91, 0x01,
0xFF, 0xFF, 0xFF, 0xFE, 0x83, 0xFE, 0x07, 0x8A, 0x22, 0xFF, 0x8A, 0x08, 0x00,
0xFF, 0xFF, 0xFF, 0xFE, 0x22, 0xDE, 0x87, 0xC2, 0x03, 0xEA, 0xFF, 0xDF, 0x01,
0xFF, 0xFF, 0x7F, 0xBE, 0x3E, 0xDE, 0x31, 0xCA, 0x37, 0x70, 0x00, 0x0C, 0x00,
0xFF, 0xFF, 0x7F, 0xF8, 0xDE, 0xEF, 0xC1, 0xD1, 0xA7, 0x61, 0x29, 0x9D, 0x01,
0xFF, 0xFF, 0x7F, 0xEC, 0xEF, 0xF7, 0xF8, 0x2E, 0x35, 0x52, 0xFE, 0x5C, 0x02,
0xFF, 0xFF, 0x7F, 0xF8, 0xEF, 0xF7, 0xFC, 0x17, 0x05, 0x48, 0xFE, 0x1C, 0x01,
0xFF, 0xFF, 0xFF, 0xFA, 0xAF, 0xFE, 0xF8, 0xAF, 0xFF, 0x47, 0xFF, 0x9D, 0x02,
0xFF, 0xFF, 0xFF, 0xFE, 0x4F, 0x3E, 0xFC, 0x0F, 0xFF, 0x47, 0xFE, 0x0C, 0x01,
0xFF, 0xFF, 0xFF, 0xFE, 0x59, 0x37, 0xFD, 0x47, 0xFF, 0x43, 0xFE, 0x9C, 0x02,
0xFF, 0xFF, 0xFF, 0xFC, 0x70, 0xE7, 0xFE, 0xA7, 0xFF, 0x41, 0xFF, 0x0D, 0x05,
0xFF, 0xFF, 0xFF, 0xF8, 0x70, 0x7A, 0xFE, 0x0B, 0xFF, 0x40, 0xFE, 0x1C, 0x05,
0xFF, 0xFF, 0xFF, 0x79, 0xF2, 0x79, 0xFF, 0x0F, 0xFF, 0x40, 0xFE, 0x0C, 0x03,
0xFF, 0xFF, 0xE1, 0x03, 0xF6, 0x73, 0xFD, 0x27, 0xFF, 0x40, 0xFF, 0x1D, 0x02,
0xFF, 0xFF, 0xDC, 0x0F, 0x07, 0x72, 0xFB, 0x8B, 0xFF, 0x41, 0xFE, 0x0C, 0x04,
0xFF, 0x7F, 0x08, 0x9F, 0xC3, 0x79, 0xFC, 0x75, 0xFF, 0x41, 0xFE, 0x1C, 0x02,
0xFF, 0x3F, 0x4A, 0xFF, 0xC3, 0x7D, 0xEE, 0x9E, 0xFF, 0x40, 0x29, 0x0D, 0x04,
0xFF, 0x3F, 0x02, 0xFE, 0xC3, 0xF1, 0x51, 0x4C, 0xFF, 0x40, 0x00, 0x14, 0x02,
0xFF, 0x3F, 0xBE, 0x7E, 0x08, 0xF7, 0xAD, 0xA8, 0xFF, 0xC1, 0xFF, 0x0F, 0x04,
0xFF, 0x3F, 0x7C, 0x3E, 0x41, 0xC3, 0x01, 0x90, 0xFF, 0x43, 0x29, 0x05, 0x04,
0xFF, 0x3F, 0x7D, 0xBD, 0x03, 0xF9, 0x33, 0xFA, 0xFF, 0xA7, 0xFE, 0x0A, 0x00,
0xFF, 0x3F, 0x79, 0x0D, 0x20, 0xF9, 0x0F, 0xF4, 0xFF, 0xAF, 0xBF, 0x06, 0x00,
0xFF, 0xBF, 0x79, 0x2C, 0xE3, 0xF1, 0x8F, 0x69, 0xFF, 0x5F, 0x4A, 0x09, 0x00,
0xFF, 0x9F, 0xF0, 0x80, 0xE7, 0xF3, 0xFF, 0xE5, 0xFF, 0xFF, 0xFF, 0x05, 0x00,
0xFF, 0x9F, 0xFE, 0xC2, 0xEF, 0xFB, 0x77, 0xB6, 0xAB, 0x3A, 0x00, 0x00, 0x00,
0xFF, 0x9F, 0xFE, 0xFE, 0x8F, 0x13, 0x7F, 0xE6, 0x57, 0x67, 0x00, 0x08, 0x00
};

const BitMap F2 = {
 1,160,100, (BYTE *)bitmapf2_DATA
};

const BYTE bitmapf3_DATA[] = {
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0xE4, 0x7F, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x24, 0x82, 0xFF, 0x07, 0xF1, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x12, 0x82, 0x10, 0x84, 0x20, 0x03, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x12, 0x41, 0x08, 0x82, 0x10, 0x05, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x09, 0x41, 0xF8, 0x83, 0x10, 0x01, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x89, 0x20, 0x9C, 0x5E, 0x10, 0x05, 0x00, 0x00, 0x00,
0x0C, 0x00, 0x00, 0x80, 0x84, 0x20, 0x5E, 0xE8, 0x09, 0x05, 0x00, 0x00, 0x00,
0xFE, 0x39, 0xE7, 0x9C, 0x77, 0xFE, 0xFD, 0xE7, 0x9E, 0x77, 0x2E, 0x00, 0x00,
0xFB, 0xEF, 0xBD, 0xF7, 0xDE, 0x7F, 0xEF, 0xFF, 0xFF, 0xDF, 0x3B, 0x00, 0x00,
0xCE, 0x3D, 0xE7, 0xDC, 0x73, 0xCE, 0x7D, 0xE7, 0x9D, 0x7F, 0x2E, 0x00, 0x00,
0x70, 0xE0, 0x00, 0x20, 0x21, 0xF2, 0x48, 0x44, 0x1E, 0x08, 0x00, 0x00, 0x00,
0x80, 0x03, 0x07, 0x20, 0x21, 0x9E, 0x88, 0x44, 0xE4, 0x05, 0x00, 0x00, 0x00,
0x00, 0x1C, 0x38, 0x90, 0x10, 0xE4, 0x89, 0x48, 0x44, 0x1E, 0x00, 0x00, 0x00,
0x00, 0xE0, 0xC0, 0x91, 0x10, 0x82, 0x9E, 0x88, 0x44, 0x04, 0x00, 0x00, 0x00,
0x00, 0x00, 0x07, 0x4E, 0x08, 0x42, 0xF0, 0x89, 0x48, 0x04, 0x00, 0x00, 0x00,
0x00, 0x00, 0x38, 0x58, 0x08, 0x41, 0x10, 0x9E, 0x88, 0x04, 0x00, 0x00, 0x00,
0x00, 0x00, 0xC0, 0x79, 0x08, 0x41, 0x10, 0xE4, 0x89, 0x08, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x9E, 0x87, 0x20, 0x08, 0x84, 0xBE, 0x08, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x30, 0x9D, 0x20, 0x08, 0x82, 0xF0, 0x09, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x28, 0xE9, 0x20, 0x04, 0x82, 0x10, 0x0E, 0x00, 0x00, 0x00,
0x03, 0x00, 0x00, 0x64, 0x92, 0x11, 0x04, 0x41, 0x10, 0x04, 0x00, 0x00, 0x00,
0x1C, 0x00, 0x00, 0x52, 0x92, 0x16, 0x04, 0x41, 0x10, 0x02, 0x00, 0x00, 0x00,
0xE0, 0x00, 0x00, 0x89, 0x24, 0x19, 0x02, 0x41, 0x08, 0x02, 0x00, 0x00, 0x00,
0x03, 0x07, 0x80, 0x84, 0x24, 0xE9, 0x82, 0x20, 0x08, 0x02, 0x00, 0x00, 0x00,
0x1C, 0x38, 0x40, 0x02, 0x49, 0x92, 0x83, 0x20, 0x08, 0x01, 0x00, 0x00, 0x00,
0xE0, 0xC0, 0x21, 0x01, 0x49, 0x92, 0x8C, 0x10, 0x04, 0x01, 0x00, 0x00, 0x00,
0x00, 0x07, 0x9E, 0x00, 0x93, 0x24, 0x79, 0x10, 0x04, 0x01, 0x00, 0x00, 0x00,
0x00, 0x38, 0xC0, 0x00, 0x9C, 0x24, 0xD1, 0x10, 0x84, 0x00, 0x00, 0x00, 0x00,
0x00, 0xC0, 0x01, 0x07, 0x30, 0x49, 0x12, 0x09, 0x84, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x1A, 0x38, 0xC0, 0x49, 0x22, 0x0E, 0x82, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0xE9, 0xC0, 0x01, 0x93, 0x24, 0x3A, 0x42, 0x08, 0x00, 0x00, 0x00,
0x00, 0x80, 0x04, 0x07, 0x06, 0x9C, 0x44, 0xC4, 0x43, 0x06, 0x00, 0x00, 0x00,
0x00, 0x40, 0x02, 0x38, 0x38, 0x30, 0x49, 0x44, 0xFC, 0x01, 0x00, 0x00, 0x00,
0x00, 0x20, 0x01, 0xC0, 0xC1, 0x61, 0x89, 0x88, 0x88, 0x01, 0x00, 0x00, 0x00,
0x00, 0x90, 0x00, 0x00, 0x07, 0x8E, 0x92, 0x88, 0x10, 0x01, 0x00, 0x00, 0x00,
0x00, 0x48, 0x00, 0x00, 0x38, 0x70, 0x13, 0x11, 0x11, 0x02, 0x00, 0x00, 0x00,
0x00, 0x24, 0x00, 0x00, 0xC0, 0x81, 0x27, 0x11, 0x21, 0x02, 0x00, 0x00, 0x00,
0x00, 0x12, 0x00, 0x00, 0x00, 0x0E, 0x24, 0x22, 0x22, 0x04, 0x00, 0x00, 0x00,
0x00, 0x09, 0x00, 0x00, 0x00, 0x70, 0x48, 0x22, 0x42, 0x04, 0x00, 0x00, 0x00,
0x80, 0x14, 0x00, 0x00, 0x00, 0x80, 0x4B, 0x44, 0x44, 0x08, 0x00, 0x00, 0x00,
0xC0, 0xE2, 0x00, 0x00, 0x00, 0x00, 0x9C, 0x44, 0x84, 0x08, 0x00, 0x00, 0x00,
0x00, 0x11, 0x07, 0x00, 0x00, 0x00, 0x98, 0x88, 0x88, 0x08, 0x00, 0x00, 0x00,
0x00, 0xE0, 0x38, 0x00, 0x00, 0x00, 0x34, 0x89, 0x88, 0x10, 0x00, 0x00, 0x00,
0x00, 0x00, 0xC7, 0x01, 0x00, 0x00, 0x34, 0x11, 0x09, 0x11, 0x00, 0x00, 0x00,
0x00, 0x00, 0x38, 0x0E, 0x00, 0x00, 0x4A, 0x12, 0x11, 0x11, 0x00, 0x00, 0x00,
0x00, 0x00, 0xC0, 0x71, 0x00, 0x00, 0x4A, 0x22, 0x11, 0x11, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x8E, 0x03, 0x00, 0x45, 0x22, 0x12, 0x1A, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x70, 0x1C, 0x00, 0x85, 0x24, 0x22, 0x07, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x80, 0xE3, 0x80, 0x82, 0x44, 0xE2, 0x01, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x1C, 0x87, 0x82, 0x44, 0xFC, 0x03, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0xE0, 0x78, 0x01, 0x44, 0xFC, 0x07, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x47, 0x01, 0x49, 0xFE, 0x07, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x0E, 0x89, 0xFE, 0x0F, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0xA0, 0x71, 0x89, 0xFE, 0x0F, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x8E, 0x89, 0xFA, 0x1F, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x70, 0x89, 0xFA, 0x0F, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x28, 0x80, 0x89, 0xE4, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x28, 0x00, 0x89, 0x04, 0x30, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x00, 0x89, 0x18, 0x0E, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x80, 0x88, 0xE8, 0x09, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0x80, 0x84, 0x88, 0x08, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0x80, 0x44, 0x88, 0x08, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x40, 0x44, 0x44, 0x04, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x40, 0x42, 0x44, 0x04, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x22, 0x44, 0x04, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x21, 0x22, 0x02, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE8, 0x10, 0x22, 0x02, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x94, 0x0B, 0x11, 0x01, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0x8C, 0x10, 0x01, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x70, 0x88, 0x10, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x02, 0x80, 0x47, 0x0E, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x01, 0x00, 0xFC, 0x01, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0xA0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xFF, 0x07, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x29, 0x05, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xFE, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x47, 0x03, 0x05, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x44, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x42, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x41, 0x03, 0x05, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x85, 0x40, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0x40, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x85, 0x40, 0x03, 0x05, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x41, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x41, 0x02, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0x40, 0x29, 0x05, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x85, 0x40, 0x00, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xC1, 0xFF, 0x07, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0x42, 0x00, 0x04, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x24, 0x02, 0x02, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0x28, 0x3F, 0x02, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2B, 0x18, 0x00, 0x01, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x01, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x08, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x00, 0x00, 0x00
};

const BitMap F3 = {
 1,160,100, (BYTE *)bitmapf3_DATA
};

void GSThread(void)
{
  short i,a,t=1;
  char b[32];
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  RimRequestForeground(RimGetCurrentTaskID());

  for (;;) // Start message loop
  {
    while(RimPeekMessage()==FALSE)
    {
      LcdCopyBitmapToDisplay(&F1,0,0);
      LcdForceRefresh();
//      for(i=0; i<t; i++) for(a=0; a<255; a++);
//      RimTaskYield();
      LcdCopyBitmapToDisplay(&F2,0,0);
      LcdForceRefresh();
//      for(i=0; i<t; i++) for(a=0; a<255; a++);
//      RimTaskYield();
      LcdCopyBitmapToDisplay(&F3,0,0);
      LcdForceRefresh();
//      for(i=0; i<t; i++) for(a=0; a<255; a++);
//      RimSleep(1);
//      RimSprintf(b,63,"Time: %d",t);
//      LcdPutStringXY(0,152,b,-1,0);

//      RimTaskYield();
    }
    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case THUMB_ROLL_DOWN:
            if (t>0) t--;//t=t-100;
            break;
          case THUMB_ROLL_UP:
            if (t<32767) t++;//t=t+100;
            break;
          case KEY_DOWN:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE:  // ESCAPE key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, GSThread, AppStackSize);
}
