////////////////////////////////////////////////////////////////////////////////
// MAIN.C -  Sierpinski's Triangles (type of fractals)   Converted from Basic //
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "Sierpin2"; // Program name (Ribbon name)
int AppStackSize = 1000;

void Sierpin2Thread(void)
{
  MESSAGE msg;
  int i, z;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);

  for (;;) // Start message loop
  {
    for(i=0; i<160; i++)                   // FOR i = 0 TO 159
    {
      for(z=1; z <= i; z++)                // FOR z = 1 TO i
      {
        if((i-z)&z) LcdSetPixel(i,z,TRUE); // IF (i - z AND z) = 0 THEN PSET (i, z)
      }                                    // NEXT
    }                                      // NEXT

    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case KEY_DOWN: // case KEY_REPEAT:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, Sierpin2Thread, AppStackSize);
}
