/*-------------------------------------------------------------------------*
 * RIM sample application:
 * HELLO.C
 * Based on the classic "hello world" sample C program.
 * Copyright 1997-2000 Research In Motion Limited.  All Rights Reserved
 *-------------------------------------------------------------------------*/
#include "Pager.h"

char VersionPtr[] = "Hello world";
int AppStackSize = 2048;

static LcdConfig LcdConf = { 0, 0, 0, 0 };

void PagerMain(void)  // The application entry point must be called PagerMain
{
  int n, row, row_height, max_rows;
  char buffer[40];
  MESSAGE msg;

  LcdGetConfig(&LcdConf);

  // Find out the characteristics of the display
  row_height = LcdGetFontHeight(-1);
  max_rows = LcdConf.height / row_height;

  // Announce our presence (after all, this is a "hello world" app!)
  LcdPutStringXY(0, 0, "Hello world!", -1, TEXT_NORMAL);
  LcdPutStringXY(0, row_height, "Press any key!", -1, TEXT_NORMAL);
  row = 1;

  for (;;)  // Standard message loop structure for an application
  {
    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_SYSTEM:
        break;
      case DEVICE_TIMER:
        break;
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case KEY_DOWN:
            if (msg.SubMsg >= 0x20 && msg.SubMsg < 0x80)  // Which key was hit ?
            {
              n = RimSprintf(buffer, sizeof(buffer), "You pressed a '%c'", msg.SubMsg);
            }
            else
            {
              n = RimSprintf(buffer, sizeof(buffer), "You pressed %04X", msg.SubMsg);
            }
            if (n < 0)
            {
              buffer[sizeof(buffer) - 1] = '\0';  // Formatted string too big
            }
            if (++row >= max_rows)  // Are we at the bottom of the screen?
            {
              LcdScroll(row_height);  // Scroll display up one row
              row = max_rows - 1;
            }
            LcdPutStringXY(0, row * row_height, buffer, -1, TEXT_NORMAL);
            break;
        }
    }
  }
}
