////////////////////////////////////////////////////////////////////////////////
// MAIN.C - 2-tone Demonstration (See DTMF example also)
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "2tone";
int AppStackSize = 1000;

void ToneThread(void)
{
  char t=0,w=0,b[32];
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  RimRequestForeground(RimGetCurrentTaskID());
  LcdCopyBitmapToDisplay(&IconBMP, 0, 0);
  LcdPutStringXY(20,8,"2-tone Demo",-1,0);

  for (;;) // Start message loop
  {
    while(RimPeekMessage()==FALSE)
    {
      RimSpeakerBeep(384+t,50,50,100);
      RimSleep(2);
      RimSpeakerBeep(512-t,50,50,100);
      RimSleep(1);
      t++;
      t&=127;
      RimSprintf(b,63,"t:%d  w:%d",t,w);
      LcdPutStringXY(0,152,b,-1,0);
      RimTaskYield();
    }

    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case THUMB_ROLL_UP:
            if(w<127) w++;
            break;
          case THUMB_ROLL_DOWN:
            if(w>0) w--;
            break;
          case KEY_DOWN:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, ToneThread, AppStackSize);
}
