////////////////////////////////////////////////////////////////////////////////
// MAIN.C - DTMF Tone Dialing Demo
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "DTMF";
int AppStackSize = 1000;

void DTMFThread(void)
{
  char i,b[32];
  short lo=0,hi=0;
  MESSAGE msg;
  PID pid;
  pid.Name=VersionPtr;
  pid.EnableForeground=TRUE;
  pid.Icon=NULL;
  RimSetPID(&pid);
  RimRequestForeground(RimGetCurrentTaskID());
  LcdCopyBitmapToDisplay(&IconBMP,0,0);
  LcdPutStringXY(20,8,"DTMF Tone Dialing",-1,0);

  for (;;) // Start message loop
  {
    RimSprintf(b,63,"Frequency  Low: %d  High: %d",lo,hi);
    LcdPutStringXY(0,152,b,-1,0);
    for(i=0; i<29; i++)
    {
      RimSpeakerBeep(lo,10,50,100);
      RimSleep(1);
      RimSpeakerBeep(hi,10,50,100);
      RimSleep(1);
    }

    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case KEY_DOWN:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
              case '0': lo=941;hi=1336;break;
              case '1': lo=697;hi=1209;break;
              case '2': lo=697;hi=1336;break;
              case '3': lo=697;hi=1477;break;
              case '4': lo=770;hi=1209;break;
              case '5': lo=770;hi=1336;break;
              case '6': lo=770;hi=1477;break;
              case '7': lo=852;hi=1209;break;
              case '8': lo=852;hi=1336;break;
              case '9': lo=852;hi=1477;break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr,&IconBMP,0,40,DTMFThread,AppStackSize);
}
