////////////////////////////////////////////////////////////////////////////////
// MAIN.C - Pulse-width modulation demo
// RimSpeakerBeep(int frequency,int duration,int duty,int volume);
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "PWM";
int AppStackSize = 5000;
int seed;

int rnd(int Value)
{
  seed *= 20077;
  seed += 12345;
 return ((((seed>>16)&32767)*Value)>>15);
}

void PWMThread(void)
{
  const char *Ch[]={
  "Pulse-width modulation","Frequency Modulation",
  "Amplitude Modulation","White Noise","Stop Sound"};
  char pw=25,d=1,t=4,b[32],mode=0,p=4,i,f=10,a=10;
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);
  seed = RimGetTicks(); // Seed Rnd function
  RimRequestForeground(RimGetCurrentTaskID());

  for (;;) // Start message loop
  {
    while(RimPeekMessage()==FALSE)
    {
      LcdClearDisplay();
      LcdCopyBitmapToDisplay(&IconBMP,0,0); // Show icon bmp
      LcdPutStringXY(20,8,"Sound Effect Demo",-1,0);
      LcdDrawBox(DRAW_BLACK,18,58,130,101);
      for(i=0; i<5; i++)
        LcdPutStringXY(20,60+i*8,Ch[i],-1,0);
      LcdPutStringXY(20,60+p*8,Ch[p],-1,TEXT_INVERT);

      switch(mode)
      {
        case 0:
          RimSpeakerBeep(130,100,pw,100);
          if(d==1) {pw++; if(pw>50) d= -1;}
          else {pw--; if(pw<2) d=1;}
          RimSprintf(b,31,"t: %d  Dir %d  Pulse Width: %d",t,d,pw);
          LcdPutStringXY(0,152,b,-1,0);
          LcdClearToEndOfLine();
          RimSleep(t);
          break;
        case 1:
          RimSpeakerBeep(500+f,100,50,100);
          if(d==1) {f++; if(f>50) d= -1;}
          else {f--; if(f<2) d=1;}
          break;
        case 2:
          RimSpeakerBeep(500,100,50,50+a);
          if(d==1) {a++; if(a>50) d= -1;}
          else {a--; if(a<2) d=1;}
          break;
        case 3:
          RimSpeakerBeep(500+rnd(120),10,50,100);
          break;
        case 4:
          RimSpeakerBeep(0,0,0,0);
          break;
      }
      RimTaskYield();
    }

    RimGetMessage(&msg);
    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case THUMB_ROLL_UP:
            if(p>0) p--;
            break;
          case THUMB_ROLL_DOWN:
            if(p<4) p++;
           break;
//          case THUMB_CLICK:
//            mode=p;
//            break;
          case KEY_DOWN:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
              case KEY_SPACE:
                mode=p;
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, PWMThread, AppStackSize);
}
