////////////////////////////////////////////////////////////////////////////////
// MAIN.C - Blackberry icon-registering program template
////////////////////////////////////////////////////////////////////////////////
#include <pager.h>
#include <ribbon.h>
#include "icon.h"

char VersionPtr[] = "Synth"; // Program name (Ribbon name)
int AppStackSize = 3000;

void SynthThread(void)
{
  MESSAGE msg;
  PID pid;
  pid.Name = VersionPtr;
  pid.EnableForeground = TRUE;
  pid.Icon = NULL;
  RimSetPID(&pid);

  LcdCopyBitmapToDisplay(&IconBMP, 0, 0); // Show icon bmp

  for (;;) // Start message loop
  {
    RimGetMessage(&msg);

    switch (msg.Device)
    {
      case DEVICE_KEYPAD:
        switch (msg.Event)
        {
          case THUMB_ROLL_UP: break;
          case THUMB_ROLL_DOWN: break;
          case KEY_DOWN: // case KEY_REPEAT:
          {
            switch (msg.SubMsg)
            {
              case KEY_ESCAPE: // ESC key exits
                RibbonShowRibbon();
                RimTerminateThread();
                break;
            }
            break;
          }
        }
    }
  } // Message loop
}

void PagerMain(void)
{
  RibbonRegisterFunction(VersionPtr, &IconBMP, 0, 40, SynthThread, AppStackSize);
}
